function [out]=bprb_gauss(in, K, l)
% function [out]=bprb_gauss(in, K) calculates size(K,1) output activations 
% (columns in out) from each input (in) with each kernel (K). out has
% size(K,1) columns and size(in,1) rows. the number of columns in in and
% K must be identical. l are the square roots of precisions in each 
% dimension.
%
% P. Sykacek, July 1999-2006
%# scalar nrin i nK 

nrin=size(in,1);
nK=size(K,1);
out=zeros(nrin, nK);
i=1;
while i<=nK
  dist=[(in-K(i*ones(nrin,1),:)).*l(ones(nrin,1),:)]';
  dist=sum(dist.*dist,1)';
  out(:,i)=exp(-0.5*dist);
  i=i+1; 
end
