function [P]=cdf_Gauss(x, m, prec)
% function [P]=cdf_stdGauss(x)
% cumulative distribution function of Gaussian distribution 
% with zero mean and unit std. deviation.
%
% (C) P. Sykacek 2003

sd=1./sqrt(prec);
erfinc=(-(x-m)./(sd*sqrt(2)));
P=0.5*erfc(erfinc);
erfin=(x-m).*sqrt(prec)/sqrt(2);
P2=0.5+0.5*erf(erfin);
P=(P+P2)/2;
idz=find(P<0);
P(idz)=0;
ido=find(P>1);
P(ido)=1;
