function [cumP, ind]=probs2cumprobs(Probs, dosort)
% function [cumP, ind]=probs2cumprobs(Probs, dosort)
% converts Probs into cumulative probabilities.
% Probs is assumed to be column vectors of 
% probabilities, i.e. to sum up to 1.
% cumP are the cumulative probabilities
% and ind the indices from sorting Probs.
% 
% (C) P. Sykacek
dims=size(Probs);
Probs=Probs(:);
if dosort
    [Probs, ind]=sort(Probs);
    Probs=flipud(Probs);
    ind=flipud(ind);
else
    ind=[1:size(Probs,1)]';
end
nrws=size(Probs,1);
cumP=Probs;
for rw=2:nrws
    cumP(rw,:)=cumP(rw-1,:)+Probs(rw,:);
end
cumP=reshape(cumP, dims);
ind=reshape(ind, dims);